POSTGetDelegatedResourceAccountIndex

Tron Mainnethttps://tron-mainnet.nodit.io/walletsolidity/getdelegatedresourceaccountindex

Query the resource delegation during stake 2.0 by an account. i.e. list all addresses that have delegated resources to an account. (Confirmed state)

Request Body
valuestringrequired

The queried account address. (Format: Base58 or Hex)

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
accountstring

Account address.

fromAccountsstring[]

List of account addresses that delegate resources to this account.

toAccountsstring[]

List of account addresses that receive resources delegated by this account.

X-API-KEY
RequestCU25
cURL
curl -X POST "https://tron-mainnet.nodit.io/walletsolidity/getdelegatedresourceaccountindex" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "value": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
  "visible": true
}'
Response
Example · 200
{
  "account": "string",
  "fromAccounts": [
    "string"
  ],
  "toAccounts": [
    "string"
  ]
}